### Constructor

# Clutter BindConstraint new

#### Declaration [src]

    ClutterConstraint*
    clutter_bind_constraint_new (
      ClutterActor* source,
      ClutterBindCoordinate coordinate,
      gfloat offset
    )

#### Description [src]

Creates a new constraint, binding a `ClutterActor`‘s position to the given `coordinate` of the position of `source`.

#### Parameters

`source`

  Type: `ClutterActor`

  The `ClutterActor` to use as the source of the binding, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`coordinate`

  Type: `ClutterBindCoordinate`

  The coordinate to bind.

`offset`

  Type: `gfloat`

  The offset to apply to the binding, in pixels.

#### Return value

Type: `ClutterConstraint`

The newly created `ClutterBindConstraint`.

The data is owned by the called function.